关闭

JAVA -- Java compiler level does not match the version of the installed Java project facet.

标签: JAVA
178人阅读 评论(0) 收藏 举报
分类:

问题描述:加载新的项目后报一个错误:

Java compiler leveldoes not match the version of the installed Java project facet.

 

问题分析:

java版本不匹配:FactedProject 中的Java 版本设定与项目的Java 版本设定不一致。

 

解决方案:

在当前项目上点右键,属性--ProjectFacets中,配置编译版本与java

compiler的版本一致。

1、选中项目后按下alt+enter组合键或者右键Project

| Properties | JavaCompiler(type filter text输入compiler可快速定位),如下图所示:


2、修改ProjectFacets的Java值,使之和Compiler compliance level相同:打开方式参考1,如下图:

 



3.到项目下的.settings(D:\execWork\workspace\ReportAndDataServices\.settings)中的org.eclipse.wst.common.project.facet.core.xml文档中的Java版本,将其修改一致,如图


0
0
查看评论

Java compiler level does not match the version of the installed Java project facet.解决方法

从别的地方拿来的代码,因为环境不一样,打开总是会出现一些错误。当编译的时候出现Java compiler level does not match the version of the installed Java project facet.错误,可以在.settings目录找到org.eclip...
  • aspnet2002web
  • aspnet2002web
  • 2016-02-17 12:59
  • 623

GOOD解决MyEclipse工具中java compiler level does not match the version of the installed java project facet

Java compiler level does not match the version of the installed java project facet错误的解决 因工作的关系,Eclipse开发的Java项目拷来拷去,有时候会报一个很奇怪的错误。明明源码一模一样,为什么项目复制到另...
  • Baple
  • Baple
  • 2016-06-07 10:35
  • 1113

Description Resource Path Location Type Java compiler level does not match the version of the in解决方法

今天使用maven的时候报这个错误 然后在网上查了,是jdk的版本不匹配, 可以修改如下几个地方解决方法 1:我使用的jdk是1.8windows—proferences—java–compiler设置jdk为1.8windows—proferences—java–Installed JREs设...
  • u013412790
  • u013412790
  • 2016-05-25 21:11
  • 5294

Maven构建项目后项目报Error错误Java compiler level does not match the version of the installed Java project fac

项目->右键->Project Facets->修改facets中java版本(下拉箭头出)为要用的版本 Maven构建项目需注意 1.项目右键->Preferences->buildpath->jdk 2.项目右键->Preferences->jav...
  • Truong
  • Truong
  • 2013-12-08 17:21
  • 3218

Java入门到精通——调错篇之Eclipse Java compiler level dose not match the version of the installed Java project

一、错误现象。        java项目显示红色,并且类中引用包中会报红色错误,在Eclipse下面显示下面错误提示如图: 二、错误原因。        通过字面意思一看就很明白java的版本不对。 三、解决办法。...
  • gwblue
  • gwblue
  • 2014-12-23 08:43
  • 1509

myeclipse工程有红叉,里面文件没错,提示Java compiler level does not match the version of the installed Java project

myeclipse工程有红叉,里面文件没错,提示:Java compiler level does not match the version of the installed Java project       解决: 右键项目“Properties”,在弹出的“P...
  • washli2001
  • washli2001
  • 2014-03-11 15:19
  • 907

使用Maven创建项目出现Java compiler level does not match the version of the installed Java project facet解决

steps1: 查看开发工具编译java版本: 图片中可以看到java版本是1.8 step2: 在项目文件夹中: 打开项目->打开.settings—>编辑org.eclipse.wst.common.project.facet.core.xml 修改java版本: ...
  • songguangnuan
  • songguangnuan
  • 2017-04-21 18:12
  • 335

完美解决java compiler level does not match the version of the installed java project facet问题

当Java项目更换电脑时会出现工程打岔的问题,但是项目中没有明显的语法错误,此时我们可以观察到输出工作区Problems选项中存在java compiler level does not match the version of the installed java project facet的问题...
  • danxiaodeshitou
  • danxiaodeshitou
  • 2016-04-29 12:37
  • 145

Description Resource Path Location Type Java compiler level does not match the version of the ins

错误:Description Resource Path Location Type Java compiler level does not match the version of the installed Java project facet. mri Unknow...
  • xuxuzwl
  • xuxuzwl
  • 2017-07-11 17:10
  • 206

myeclipse10下 Java compiler level does not match解决方法

以前一直用myeclipse2014,忽然换到myeclipse10,很多项目到这里运行起来老是出问题,得总结啊。 compiler是编译的意思,在项目导入IDE的时候,自己选择编译器,编译器会构建ide的环境并把这个编译的一些参数放入IDE工作空间下面的项目文件下面有一个setting文件夹,里...
  • rentian1
  • rentian1
  • 2016-10-10 09:33
  • 1770
    个人资料
    • 访问:2369次
    • 积分:496
    • 等级:
    • 排名:千里之外
    • 原创:39篇
    • 转载:20篇
    • 译文:0篇
    • 评论:0条
    文章分类